#include <QvIndTri.h>

QV_NODE_SOURCE(QvIndexedTriangleSet);

QvIndexedTriangleSet::QvIndexedTriangleSet()
{
    QV_NODE_CONSTRUCTOR(QvIndexedTriangleSet);
    isBuiltIn = TRUE;

    QV_NODE_ADD_FIELD(coordIndex);
    QV_NODE_ADD_FIELD(materialIndex);
    QV_NODE_ADD_FIELD(normalIndex);
    QV_NODE_ADD_FIELD(textureCoordIndex);

    coordIndex.values[0] = 0;
    materialIndex.values[0] = QV_END_TRIANGLE_INDEX;
    normalIndex.values[0] = QV_END_TRIANGLE_INDEX;
    textureCoordIndex.values[0] = QV_END_TRIANGLE_INDEX;
}

QvIndexedTriangleSet::~QvIndexedTriangleSet()
{
}
