#include <QvMFVec3.h>

#if defined (WIN32) || defined (WIN16) 
    QV_MFIELD_SOURCE(QvMFVec3f, float huge, 3, FALSE);
#else
    QV_MFIELD_SOURCE(QvMFVec3f, float, 3, FALSE);
#endif

QvBool
QvMFVec3f::read1Value(QvInput *in, unsigned int index)
{
#if defined (WIN32) || defined (WIN16) 
    float huge *valuePtr = values + index * 3;
#else    
    float *valuePtr = values + index * 3;
#endif    

    return (in->read(valuePtr[0]) &&
        in->read(valuePtr[1]) &&
        in->read(valuePtr[2]));
}
