#include <stdarg.h>
#include <QvString.h>
#include <QvInput.h>
#include <QvRead.h>

#if defined (WIN16) || defined (WIN32)   
    #include "windows.h"
#endif
    
void
QvReadError::post(const QvInput *in, const char *formatString ...)
{
    char    buf[10000];
    va_list ap;

    va_start(ap, formatString);
    vsprintf(buf, formatString, ap);
    va_end(ap);

    QvString locstr;
    in->getLocationString(locstr);
    
#if defined (WIN16) || defined (WIN32)   
    char    szStringSpace[1024] ;                        
    sprintf(szStringSpace,"VRML read error: %s\n%s\n", buf, locstr.getString()); 
    MessageBox(NULL, szStringSpace, "QvReadError::post",MB_ICONINFORMATION) ;
#else
    fprintf(stderr, "VRML read error: %s\n%s\n", buf, locstr.getString());
#endif    
    
}
