#ifndef  _QV_INDEXED_TRIANGLE_SET_
#define  _QV_INDEXED_TRIANGLE_SET_

#include <QvMFLong.h>
#include <QvSubN.h>

#define QV_END_TRIANGLE_INDEX   (-1)

class QvIndexedTriangleSet : public QvNode {

    QV_NODE_HEADER(QvIndexedTriangleSet);

  public:
    // Fields:
    QvMFLong        coordIndex;     // Coordinate indices
    QvMFLong        materialIndex;      // Material indices
    QvMFLong        normalIndex;        // Surface normal indices
    QvMFLong        textureCoordIndex;  // Texture Coordinate indices
};

#endif /* _QV_INDEXED_FACE_SET_ */
