#include <QvDB.h>
#include <QvInput.h>
#include <QvNode.h>  
#include <QvState.h>

#if defined (WIN16) || defined (WIN32)   
    #include "windows.h"
#endif

//*****************************************************************************
// 
// LibMain
//
//*****************************************************************************

int FAR PASCAL LibMain (HANDLE hInstance, 
                        WORD wDataSeg, 
                        WORD wHeapSize,
                        LPSTR lpszCmdLine)
{

    if (wHeapSize > 0)
         UnlockData (0) ;

    return 1 ;
}   




//*****************************************************************************
// 
// Windows Exit Procedure
//
//*****************************************************************************

int FAR PASCAL _export WEP (int nParam)
{
    return 1 ;
}


//*****************************************************************************
// 
// Read test
//
//*****************************************************************************


int FAR PASCAL _export nReadVRMLFile(char * szFile) 
{
    QvDB::init();

#if defined (WIN16) || defined (WIN32)   
    QvInput in(szFile);
#else
    QvInput in;
#endif    
    QvNode  *root;

    if (QvDB::read(&in, root) && root != NULL) {
    root->ref();
#if defined (WIN16) || defined (WIN32)   
    MessageBox(NULL, "Read was ok\n", "nReadVRMLFile",MB_ICONINFORMATION) ;    
#else
    printf("Read was ok\n");
#endif    
    }
    else {
    root = NULL;
#if defined (WIN16) || defined (WIN32)   
    MessageBox(NULL, "Read was bad\n", "nReadVRMLFile",MB_ICONINFORMATION) ;    
#else
    printf("Read was bad\n");
#endif    
    }

    if (root != NULL)
    root->unref();

    return 0;
}    
                                       


//*****************************************************************************
// 
// Traverse test
//
//*****************************************************************************


int FAR PASCAL _export nTraverseVRMLFile(char * szFile) 
{
    QvDB::init();

#if defined (WIN16) || defined (WIN32)   
    QvInput in(szFile);
#else
    QvInput in;
#endif    
    QvNode  *root;

    if (QvDB::read(&in, root) && root != NULL) {
    root->ref();
#if defined (WIN16) || defined (WIN32)   
    MessageBox(NULL, "Read was ok\n", "nReadVRMLFile",MB_ICONINFORMATION) ;    
#else
    printf("Read was ok\n");
#endif    
    }
    else {
#if defined (WIN16) || defined (WIN32)   
    MessageBox(NULL, "Read was bad\n", "nReadVRMLFile",MB_ICONINFORMATION) ;    
#else
    printf("Read was bad\n");
#endif
    return 1;    
    }
    
    QvState state;
    root->traverse(&state);
    
    root->unref();

    return 0;
}    
                                       
                                       