#include <stdarg.h>
#include <QvString.h>
#include <QvDebug.h>   

#if defined (WIN16) || defined (WIN32)                           
    #include "windows.h"
#endif    

void
QvDebugError::post(const char *methodName, const char *formatString ...)
{
#if defined (WIN16) || defined (WIN32)                           
    char szStringSpace[1024] ;
#endif
    char    buf[10000];
    va_list ap;

    va_start(ap, formatString);
    vsprintf(buf, formatString, ap);
    va_end(ap);

#if defined (WIN16) || defined (WIN32)        
    sprintf(szStringSpace,"VRML error in %s(): %s\n", methodName, buf); 
    MessageBox(NULL, szStringSpace, "QvDebugError::post",MB_ICONINFORMATION) ;
#else
    fprintf(stderr, "VRML error in %s(): %s\n", methodName, buf);
#endif    
}
